#define trigPin 9
#define echoPin 10
#define buzzer 11
#define ledPin 13

long duration;
float distanceInch;
int timer;

void setup() {
pinMode(trigPin, OUTPUT); 
pinMode(echoPin, INPUT); 
pinMode(buzzer, OUTPUT);
pinMode(ledPin, OUTPUT);
Serial.begin(9600); // Starts the serial communication
}

void loop() {
digitalWrite(trigPin, LOW);
delayMicroseconds(2);
digitalWrite(trigPin, HIGH);
delayMicroseconds(10);
digitalWrite(trigPin, LOW);

duration = pulseIn(echoPin, HIGH);

distanceInch = duration * 0.0133 /2;
Serial.print("Distance: ");
Serial.println(distanceInch);
digitalWrite(buzzer, HIGH);
delay(50);
digitalWrite(buzzer, LOW);


timer = distanceInch * 10;
digitalWrite(ledPin, HIGH);
delay(timer);
digitalWrite(ledPin, LOW);

}
